Role Definitions - List

Haal alle roldefinities op die van toepassing zijn op het bereik en hoger.

GET https://management.azure.com/{scope}/providers/Microsoft.Authorization/roleDefinitions?api-version=2022-04-01
GET https://management.azure.com/{scope}/providers/Microsoft.Authorization/roleDefinitions?$filter={$filter}&api-version=2022-04-01

URI-parameters

Naam In Vereist Type Description
scope
path True

string

Het bereik van de roldefinitie.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

$filter
query

string

Het filter dat moet worden toegepast op de bewerking. Gebruik atScopeAndBelow-filter om ook onder het opgegeven bereik te zoeken.

Antwoorden

Naam Type Description
200 OK

RoleDefinitionListResult

OK: retourneert een matrix met roldefinities.

Other Status Codes

ErrorResponse

Foutreactie waarin wordt beschreven waarom de bewerking is mislukt.

Beveiliging

azure_auth

Azure Active Directory OAuth2-stroom

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Naam Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

List role definitions for scope

Voorbeeldaanvraag

GET https://management.azure.com/scope/providers/Microsoft.Authorization/roleDefinitions?api-version=2022-04-01

Voorbeeldrespons

{
  "value": [
    {
      "properties": {
        "roleName": "Role name",
        "type": "roletype",
        "description": "Role description",
        "assignableScopes": [
          "/subscriptions/subId"
        ],
        "permissions": [
          {
            "actions": [
              "action"
            ],
            "notActions": [],
            "dataActions": [
              "dataAction"
            ],
            "notDataActions": []
          }
        ]
      },
      "id": "/subscriptions/subID/providers/Microsoft.Authorization/roleDefinitions/roleDefinitionId",
      "type": "Microsoft.Authorization/roleDefinitions",
      "name": "roleDefinitionId"
    }
  ]
}

Definities

Naam Description
ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

ErrorDetail

De foutdetails.

ErrorResponse

Foutreactie

Permission

Machtigingen voor roldefinities.

RoleDefinition

Roldefinitie.

RoleDefinitionListResult

Bewerkingsresultaat roldefinitielijst.

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

Naam Type Description
info

object

De aanvullende informatie.

type

string

Het extra informatietype.

ErrorDetail

De foutdetails.

Naam Type Description
additionalInfo

ErrorAdditionalInfo[]

De fout bevat aanvullende informatie.

code

string

De foutcode.

details

ErrorDetail[]

De foutdetails.

message

string

Het foutbericht.

target

string

Het foutdoel.

ErrorResponse

Foutreactie

Naam Type Description
error

ErrorDetail

Het foutobject.

Permission

Machtigingen voor roldefinities.

Naam Type Description
actions

string[]

Toegestane acties.

dataActions

string[]

Toegestane gegevensacties.

notActions

string[]

Geweigerde acties.

notDataActions

string[]

Gegevensacties geweigerd.

RoleDefinition

Roldefinitie.

Naam Type Description
id

string

De id van de roldefinitie.

name

string

De naam van de roldefinitie.

properties.assignableScopes

string[]

Toewijsbare bereiken voor roldefinities.

properties.createdBy

string

Id van de gebruiker die de toewijzing heeft gemaakt

properties.createdOn

string (date-time)

Tijdstip waarop het is gemaakt

properties.description

string

De beschrijving van de roldefinitie.

properties.permissions

Permission[]

Machtigingen voor roldefinities.

properties.roleName

string

De naam van de rol.

properties.type

string

Het roltype.

properties.updatedBy

string

Id van de gebruiker die de toewijzing heeft bijgewerkt

properties.updatedOn

string (date-time)

Tijdstip waarop het is bijgewerkt

type

string

Het type roldefinitie.

RoleDefinitionListResult

Bewerkingsresultaat roldefinitielijst.

Naam Type Description
nextLink

string

De URL die moet worden gebruikt voor het ophalen van de volgende set resultaten.

value

RoleDefinition[]

Lijst met roldefinities.